Package org.apache.solr.client.solrj.io

## Class ModelCache

- java.lang.Object
- - org.apache.solr.client.solrj.io.ModelCache

    public class ModelCache
    extends Object

The Model cache keeps a local in-memory copy of models

### Constructor Summary

Constructors
`ModelCache​(int size, String defaultZkHost, SolrClientCache solrClientCache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Tuple` `getModel​(String collection, String modelID, long checkMillis)`
`Tuple` `getModel​(String zkHost, String collection, String modelID, long checkMillis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelCache

    public ModelCache​(int size,
                      String defaultZkHost,
                      SolrClientCache solrClientCache)

### Method Detail

#### getModel

    public Tuple getModel​(String collection,
                          String modelID,
                          long checkMillis)
                   throws IOException

Throws:
  `IOException`

#### getModel

    public Tuple getModel​(String zkHost,
                          String collection,
                          String modelID,
                          long checkMillis)
                   throws IOException

Throws:
  `IOException`